SystemPropertyAction (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.common.util

## Class SystemPropertyAction

- java.lang.Object
- - org.apache.cxf.common.util.SystemPropertyAction

- All Implemented Interfaces:
    `PrivilegedAction<String>`

      public final class SystemPropertyAction
      extends Object
      implements PrivilegedAction<String>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `getInteger​(String name, int def)` | Get the integer system property via the AccessController, but if a SecurityException is raised, just return the default;
    `static String` | `getProperty​(String name)` |
    `static String` | `getProperty​(String name, String def)` |
    `static String` | `getPropertyOrNull​(String name)` | Get the system property via the AccessController, but if a SecurityException is raised, just return null;
    `String` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### run

          public String run()

      Specified by:
        `run` in interface `PrivilegedAction<String>`

    - #### getProperty

          public static String getProperty​(String name)

    - #### getProperty

          public static String getProperty​(String name,
                                           String def)

    - #### getPropertyOrNull

          public static String getPropertyOrNull​(String name)

      Get the system property via the AccessController, but if a SecurityException is raised, just return null;
      Parameters:
        `name` -

    - #### getInteger

          public static int getInteger​(String name,
                                       int def)

      Get the integer system property via the AccessController, but if a SecurityException is raised, just return the default;
      Parameters:
        `name` - - system property name
        `def` - - the default value if the system property does not exist or cannot be acquired